capabilities {base} | R Documentation

## Report Capabilities of this Build of R

### Description

Report on the optional features which have been compiled into this build of R.

### Usage

    capabilities(what = NULL)

### Arguments

`what` | character vector or `NULL`, specifying required components. `NULL` implies that all are required.

### Value

A named logical vector. Current components are

`jpeg` | Is the `jpeg` function operational?
`png` | Is the `png` function operational?
`tcltk` | Is the tcltk package operational?
`X11` | (Unix) Are the `X11` graphics device and the X11-based data editor available? As from R 2.1.0 this loads the X11 module if not already loaded, and checks that the default display can be contacted unless a `X11` device has already been used.
`http/ftp` | Are `url` and the internal method for `download.file` available?
`sockets` | Are `make.socket` and related functions available?
`libxml` | Is there support for integrating `libxml` with the R event loop?
`fifo` | are FIFO connections supported?
`cledit` | Is command-line editing available in the current R session? This is false in non-interactive sessions. It will be true for the command-line interface if `readline` support has been compiled in and `--no-readline` was not invoked.
`IEEE754` | Does this platform have IEEE 754 arithmetic? Note that this is more correctly known by the international standard IEC 60559, and will always be true from R version 2.0.0. It is now deprecated and will be removed in due course.
`iconv` | is internationalization conversion via `iconv` supported?

### See Also

`.Platform`

### Examples

    capabilities()

    if(!capabilities("http/ftp"))
       warning("internal download.file() is not available")

    ## See also the examples for 'connections'.

[Package base version 2.1.1 Index]